Package pygccxml :: Package msvc :: Package pdb :: Module loader :: Class decl_loader_t

# type decl_loader_t

source code

    object --+
             |
            decl_loader_t

Nested Classes
parent_exists_t

Instance Methods

__init__(self, pdb_file_path) | source code

read(self) | source code

create_type(self, smbl) | source code

Class Variables
| COMPILER = ``'``MSVC PDB 9.0``'``

Properties
| symbols_table Convert a method into a cached attribute
| symbols Convert a method into a cached attribute
| dia_global_scope
| global_ns

Method Details

### __init__(self, pdb_file_path)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### symbols_table

Convert a method into a cached attribute

### symbols

Convert a method into a cached attribute

### dia_global_scope

### global_ns